/// <reference types="react" />
import { type TooltipProps as MuiTooltipProps } from '@mui/material/Tooltip';
import { type WithoutEmotionSpecific } from '../types/WithoutEmotionSpecific';
import { type TooltipSize } from './types';
export declare const StyledTooltip: import("@emotion/styled/dist/declarations/src/types").StyledComponent<WithoutEmotionSpecific<MuiTooltipProps> & {
    size?: TooltipSize | undefined;
} & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const ContentWrapper: import("@emotion/styled/dist/declarations/src/types").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
